Package org.jfree.report

## Class ReportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.pentaho.reporting.libraries.base.util.StackableException
      - - org.jfree.report.ReportException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ReportConfigurationException`, `ReportDataFactoryException`, `ReportProcessingException`

      public class ReportException
      extends org.pentaho.reporting.libraries.base.util.StackableException

  Creation-Date: 02.12.2006, 14:52:08
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReportException()` | Creates a StackableRuntimeException with no message and no parent.
    `ReportException​(java.lang.String message)` | Creates an exception.
    `ReportException​(java.lang.String message, java.lang.Exception ex)` | Creates an exception.

  - ### Method Summary

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException

      `getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString, update`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportException

          public ReportException()

      Creates a StackableRuntimeException with no message and no parent.

    - #### ReportException

          public ReportException​(java.lang.String message,
                                 java.lang.Exception ex)

      Creates an exception.
      Parameters:
        `message` - the exception message.
        `ex` - the parent exception.

    - #### ReportException

          public ReportException​(java.lang.String message)

      Creates an exception.
      Parameters:
        `message` - the exception message.